Subject: WTD:(used) Katsaros, "Ill. Guide to Common Slime Molds"

From: [email-masked] (alan williams)
Date: Sat, 28 Oct 1995 23:45:02 GMT

Hello all,
   
I'm looking for "Illustrated guide to common slime molds", by Peter 
Katsaros (Mad River Press, 1989), a short but beautifully photographed
guide to these interesting creatures.  :-)  (I'm not a mycologist; I just
stumbled across this book about five years ago in the McGill University
Library.)
  
I realize this book is still in print (available for $24.95), but since
I'm a penniless grad student who has long since depleted his book budget,
I'm hoping some kind soul out there has a used copy they'd be willing to
give up for $10 or so. 
   
This is a long shot, but it's such a beautiful book I thought I'd give it
a try.   :-)
 
Thanks in advance,
  
Alan Williams